<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
    <title>My Watchlist</title>
</head>
<body>
   

    </script>
    <nav><a href="/lab-5/watchlist">lihat dalam bentuk card</a></nav>
    <a href="/lab-5/FormWatchlist">tambah film di sini</a>
    <style>
         img{
        border: 1px solid #ddd;
        border-radius: 4px;
        padding: 5px;
        width: 150px;
    }
    </style>
    
   <table id="film">
       <tr>
           <th>Watched</th>
           <th>Title</th>
           <th>Rating</th>
           <th>Release Date</th>
           <th>Review</th>
        
       </tr>
       
   </table>
 
   <script>
       function InsertData() {
           
           var table = $("#film");
           for(row of data) {
                var rating = row.fields.rating;
                var watched = row.fields.watched;
                var title = row.fields.title;
                var release_date = row.fields.release_date;
                var review = row.fields.review;

                table.append("<tr><td> ${watched} </td><td> ${title} </td><td> ${rating} </td><td> ${release_date} </td><td> ${review} </td></tr>");
           }
       }
       $(document).ready(function(){
           $.ajax({
               url :  "/lab-3/json",
               success : InsertData
           });
           
       });
   </script>
</body>
</html>